{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"196471be3be90b61d15d964f36ce04dca4b3bafb","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.8.tgz","fileCount":103,"integrity":"sha512-MmLwddtSVyMtzYxx+xs2IFEbfyg/facubL/mEaAoJX/XIfjt1ly5QhPByihf4yrxZYbkQfRZVEnBgISv/e2ZWw==","signatures":[{"sig":"MEQCIEGslIjRaWXO1zR+Wdzx312D3CDK7JKxKTnmJGF9E31ZAiBVKx7fcE60kxGMdgWlYjq53ZnhbHxyC2AWpQuyNHEd7w==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":215537},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"64b68756976b8bb759e6189746cba8fc5b208cf4","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.6.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.8_1761931950008_0.14501341459357264","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.8","version":"15.1.8"}